NSTextInternal::Footnote Struct Reference

Internal structure: use to store a footnote. More...

## Public Member Functions

| Footnote ()
| Constructor. More...
std::string | getTextLabel (int actId) const
| returns a label corresponding to a note ( or nothing if we can use numbering note) More...

## Public Attributes

int | m_number
| the note number More...
int | m_paragraph [2]
| the paragraph position in the footnote zone (first and last) More...
NSStruct::Position | m_textPosition
| the text position More...
std::string | m_textLabel
| the label in the text More...
std::string | m_noteLabel
| the label in the note More...
bool | m_parsed
| a flag to know if the footnote is parsed More...
std::string | m_extra
| some extra debuging information More...

## Friends

std::ostream & | operator<< (std::ostream &o, Footnote const &ft)
| operator<< More...

## Detailed Description

Internal structure: use to store a footnote.

## Constructor & Destructor Documentation

NSTextInternal::Footnote::Footnote | ( |  | ) |

inline

Constructor.

## Member Function Documentation

std::string NSTextInternal::Footnote::getTextLabel | ( | int | actId | ) | const

inline

returns a label corresponding to a note ( or nothing if we can use numbering note)

Referenced by NSText::sendText().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Footnote const & | ft
| ) |  |

friend

operator<<

## Member Data Documentation

std::string NSTextInternal::Footnote::m_extra

some extra debuging information

Referenced by NSTextInternal::operator<<(), and NSText::readFootnotes().

std::string NSTextInternal::Footnote::m_noteLabel

the label in the note

Referenced by NSTextInternal::operator<<(), and NSText::readFootnotes().

int NSTextInternal::Footnote::m_number

the note number

Referenced by NSTextInternal::operator<<(), NSText::readFootnotes(), and NSText::sendText().

int NSTextInternal::Footnote::m_paragraph[2]

the paragraph position in the footnote zone (first and last)

Referenced by Footnote(), NSTextInternal::operator<<(), NSText::readFootnotes(), and NSText::sendFootnote().

bool NSTextInternal::Footnote::m_parsed

mutable

a flag to know if the footnote is parsed

Referenced by NSText::sendFootnote().

std::string NSTextInternal::Footnote::m_textLabel

the label in the text

Referenced by getTextLabel(), NSTextInternal::operator<<(), and NSText::readFootnotes().

NSStruct::Position NSTextInternal::Footnote::m_textPosition

the text position

Referenced by NSTextInternal::operator<<(), and NSText::readFootnotes().

The documentation for this struct was generated from the following file:

- NSText.cxx